Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JCESecretKeyFactory.DESede

    java.lang.Object
      |
      +--javax.crypto.SecretKeyFactorySpi
            |
            +--org.bouncycastle.jce.provider.JCESecretKeyFactory
                  |
                  +--org.bouncycastle.jce.provider.JCESecretKeyFactory.DESede

Enclosing class:
  JCESecretKeyFactory

public static class JCESecretKeyFactory.DESede
extends JCESecretKeyFactory

Nested Class Summary

Nested classes inherited from class org.bouncycastle.jce.provider.JCESecretKeyFactory
`JCESecretKeyFactory.DES, JCESecretKeyFactory.DESede, JCESecretKeyFactory.PBE_PKCS12, JCESecretKeyFactory.PBE_PKCS5`

Field Summary

Fields inherited from class org.bouncycastle.jce.provider.JCESecretKeyFactory
`algName`

Constructor Summary
`JCESecretKeyFactory.DESede()`

Method Summary
`protected SecretKey` | `engineGenerateSecret(KeySpec keySpec)` Generates a `SecretKey` object from the provided key specification (key material).
`protected KeySpec` | `engineGetKeySpec(SecretKey key, java.lang.Class keySpec)` Returns a specification (key material) of the given key object in the requested format.

Methods inherited from class org.bouncycastle.jce.provider.JCESecretKeyFactory
`engineTranslateKey`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCESecretKeyFactory.DESede

    public JCESecretKeyFactory.DESede()

Method Detail

### engineGetKeySpec

    protected KeySpec engineGetKeySpec(SecretKey key,
                                       java.lang.Class keySpec)
                                throws InvalidKeySpecException

  Description copied from class: `SecretKeyFactorySpi`
  Returns a specification (key material) of the given key object in the requested format.

  Overrides:
    `engineGetKeySpec` in class `JCESecretKeyFactory`
  Parameters:
    `key` - the key
    `keySpec` - the requested format in which the key material shall be returned
  Returns:
    the underlying key specification (key material) in the requested format
  Throws:
    `InvalidKeySpecException` - if the requested key specification is inappropriate for the given key (e.g., the algorithms associated with `key` and `keySpec` do not match, or `key` references a key on a cryptographic hardware device whereas `keySpec` is the specification of a software-based key), or the given key cannot be dealt with (e.g., the given key has an algorithm or format not supported by this secret-key factory).

### engineGenerateSecret

    protected SecretKey engineGenerateSecret(KeySpec keySpec)
                                      throws InvalidKeySpecException

  Description copied from class: `SecretKeyFactorySpi`
  Generates a `SecretKey` object from the provided key specification (key material).

  Overrides:
    `engineGenerateSecret` in class `JCESecretKeyFactory`
  Parameters:
    `keySpec` - the specification (key material) of the secret key
  Returns:
    the secret key
  Throws:
    `InvalidKeySpecException` - if the given key specification is inappropriate for this secret-key factory to produce a secret key.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD